Subject: Re: bug#20747: 24.4; emacs24 seems to become unresponsive after having been iconised

From: enno <[email-masked]>
Date: Mon, 30 Sep 2019 22:45:46 +0200 (CEST)

>>>>> "Stefan" == Stefan Kangas <[email-masked]> writes:
    >>> emacs24:i386 (24.4+1-5) (debian) seems to become unresponsive
    >>> after having been iconised (via C-z).  [...]
    > Hi Enno,
    >
    > That was three years ago, so I'm asking the same question again:
    > Are you still seeing this on a recent version of Emacs?  The
    > latest version is 26.3 so perhaps you could try that.
    >
    > If I don't hear back from you in a couple of weeks, I'm just
    > going to close this as unreproducible.
    >
    > Best regards, Stefan Kangas

Dear Stefan,

I'm currently using GNU Emacs 26.1 (build 2, i686-pc-linux-gnu, GTK+ Version 3.24.4) and the problem is partly still present:  Emacs doesn't react to keyboard entries after having been minimized via C-z BUT on C-x C-f it now opens up a gtk find file dialog insto using the minibuffer line that works selecting/opening a file, and after that all is back to normal.

Strange but acceptable.

26.3 doesn't seem to be available in debian testing.

Brgds, e.

--
      //       [email-masked]
    /\\\       Mag. Enno Deimel
  .\    o
 \\  \ _  \    Wisely and slow; they stumble that run fast.
\\\     \_/
gpg-fp: eefe b049 6fe6 fc0b 0ec4  f39e af6a c178 eb98 909a